Loading...
Searching...
No Matches
ForceFields::MMFF Namespace Reference

## Namespaces

namespace | Utils

## Classes

class | AngleBendContrib
| The angle-bend term for MMFF. More...
class | BondStretchContrib
| The bond-stretch term for MMFF. More...
class | NonbondedContrib
| combined vdW and charge terms for MMFF More...
class | VdWContrib
| the van der Waals term for MMFF More...
class | EleContrib
| the electrostatic term for MMFF More...
class | OopBendContrib
| the out-of-plane term for MMFF More...
class | MMFFDef
| class to store MMFF atom type equivalence levels More...
class | MMFFProp
| class to store MMFF Properties More...
class | MMFFPBCI
| class to store MMFF Partial Bond Charge Increments More...
class | MMFFChg
class | MMFFBond
| class to store MMFF parameters for bond stretching More...
class | MMFFHerschbachLaurie
class | MMFFCovRadPauEle
class | MMFFAngle
| class to store MMFF parameters for angle bending More...
class | MMFFStbn
| class to store MMFF parameters for stretch-bending More...
class | MMFFOop
| class to store MMFF parameters for out-of-plane bending More...
class | MMFFTor
| class to store MMFF parameters for torsions More...
class | MMFFVdW
| class to store MMFF parameters for non-bonded Van der Waals More...
class | MMFFVdWRijstarEps
class | MMFFAromCollection
class | MMFFDefCollection
class | MMFFPropCollection
class | MMFFPBCICollection
class | MMFFChgCollection
class | MMFFBondCollection
class | MMFFBndkCollection
class | MMFFHerschbachLaurieCollection
class | MMFFCovRadPauEleCollection
class | MMFFAngleCollection
class | MMFFStbnCollection
class | MMFFDfsbCollection
class | MMFFOopCollection
class | MMFFTorCollection
class | MMFFVdWCollection
class | StretchBendContrib
| The angle-bend term for MMFF. More...
class | TorsionAngleContrib
| the torsion term for MMFF More...

## Typedefs

using | AngleConstraintContrib = ForceFields::AngleConstraintContrib
using | DistanceConstraintContrib = ForceFields::DistanceConstraintContrib
using | PositionConstraintContrib = ForceFields::PositionConstraintContrib
using | TorsionConstraintContrib = ForceFields::TorsionConstraintContrib

## Functions

bool | isDoubleZero (const double x)
void | clipToOne (double &x)

## Variables

constexpr double | DEG2RAD = M_PI / 180.0
constexpr double | RAD2DEG = 180.0 / M_PI
constexpr double | MDYNE_A_TO_KCAL_MOL = 143.9325

## Typedef Documentation

## AngleConstraintContrib

using ForceFields::MMFF::AngleConstraintContrib = ForceFields::AngleConstraintContrib

Definition at line 17 of file MMFF/AngleConstraint.h.

## DistanceConstraintContrib

using ForceFields::MMFF::DistanceConstraintContrib = ForceFields::DistanceConstraintContrib

Definition at line 17 of file MMFF/DistanceConstraint.h.

## PositionConstraintContrib

using ForceFields::MMFF::PositionConstraintContrib = ForceFields::PositionConstraintContrib

Definition at line 17 of file MMFF/PositionConstraint.h.

## TorsionConstraintContrib

using ForceFields::MMFF::TorsionConstraintContrib = ForceFields::TorsionConstraintContrib

Definition at line 17 of file MMFF/TorsionConstraint.h.

## Function Documentation

## clipToOne()

void ForceFields::MMFF::clipToOne | ( | double & | x | ) |

inline

Definition at line 44 of file MMFF/Params.h.

## isDoubleZero()

bool ForceFields::MMFF::isDoubleZero | ( | const double | x | ) |

inline

Definition at line 41 of file MMFF/Params.h.

## Variable Documentation

## DEG2RAD

double ForceFields::MMFF::DEG2RAD = M_PI / 180.0

constexpr

Definition at line 38 of file MMFF/Params.h.

## MDYNE_A_TO_KCAL_MOL

double ForceFields::MMFF::MDYNE_A_TO_KCAL_MOL = 143.9325

constexpr

Definition at line 40 of file MMFF/Params.h.

## RAD2DEG

double ForceFields::MMFF::RAD2DEG = 180.0 / M_PI

constexpr

Definition at line 39 of file MMFF/Params.h.